<?php

namespace App\Classes\General\Eloquent\Filters;


use App\Classes\ValueObjects\Constants\KVPKey;
use Illuminate\Database\Eloquent\Builder;

class Prompt implements Filter
{

    public static function apply(Builder $builder, $value)
    {
        return $builder->where('key', 'LIKE', KVPKey::CHATGPT_PROMPT_PREFIX . '%')
        ->orWhere('key', 'LIKE', KVPKey::CLAUDE_PROMPT_PREFIX . '%');
    }
}
